.main-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-item {
    display: inline-block;
}

.active {
    color: $main-active-color;
    &:after {
        content: '';
        position: absolute;
        left: 50%;
        bottom: -35px;
        display: block;
        width: 100%;
        border-bottom: 5px solid $main-active-color;
        transform: translateX(-50%);
    }
}

.nav-content {
    font-family: 'DIN Next LT Pro', sans-serif;
    font-weight: normal;
    font-style: normal;
    text-transform: uppercase;
    letter-spacing: 1px;
    &:hover {
        color: $main-active-color;
    }
}

.nav-bar {
    //word-spacing: 12px;
    .nav-item {
        position: relative;
        &:after {
            content: '';
            position: absolute;
            left: 50%;
            bottom: -35px;
            display: block;
            width: 0;
            border-bottom: 5px solid $main-active-color;
            transform: translateX(-50%);
            transition-property: width;
            transition-duration: 200ms;
        }

        &:hover {
            &:after {
                width: 100%;
            }
        }
    }
}
.nav-person {
    .nav-item + li {
        margin-left: 25px;
    }

    .nav-content{
        word-spacing: 2px;
    }

    .wrap-input {
        display: inline-block;
        max-width: 150px;
        input {
            opacity: 0;
            width: 0;
            position: relative;
            left: 100%;
            transition-property: left, width;
            transition-duration: 400ms;
            &:focus {
                left: 0;
                opacity: 1;
                width: 100%;
            }
        }
    }
}

.cart-count {
    color: $main-active-color;
}

@include breakpoint('medium') {
    .nav-person .nav-content {
        font-size: 20px;
    }

    .nav-person .nav-item + li {
        margin-left: 20px;
    }

    .nav-person .wrap-input {
        max-width: 150px;
    }
}

@include breakpoint('small') {
    .nav-person .nav-item + li {
        margin-left: 20px;
    }

    .nav-person .nav-content {
        font-size: 16px;
    }

    .nav-person .wrap-input {
        max-width: 150px;
        width: 100%;

        input {
            opacity: 1;
            width: 100%;
            position: static;
            transition: none;
        }

    }

}

@include breakpoint('extra-small') {
    .nav-person .nav-item + li {
        margin-left: 20px;
    }

    .nav-person .nav-content {
        font-size: 16px;
    }

    .nav-person .wrap-input {
        max-width: 150px;
    }

    .nav-person .wrap-input {
        input {
            opacity: 1;
            width: 100%;
            position: static;
            transition: none;
        }
    }

}